# $Id: smeserver-arkeia.spec,v 1.7 2008/04/26 09:36:39 snetram Exp $
# Authority: slords
# Name: Shad L. Lords

Summary: Mitel Server Integration for Arkeia Shareware Backup Program
%define name smeserver-arkeia
Name: %{name}
%define version 1.0
%define release 12
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: System/Administratoin
Source: %{name}-%{version}.tgz
Patch1: smeserver-arkeia-1.0-noeject.patch
Patch2: smeserver-arkeia-1.0-noeject.patch2
Patch3: smeserver-arkeia-1.0-configdb.patch
Patch4: smeserver-arkeia-1.0-recycletape.patch
Patch5: smeserver-arkeia-1.0-rotate.patch
Patch6: smeserver-arkeia-1.0-configure.patch
Patch7: smeserver-arkeia-1.0-rotate.patch2
Patch8: smeserver-arkeia-1.0-locale-2008-03-07.patch
Patch9: smeserver-arkeia-1.0-locale-2008-04-01.patch
Patch10: smeserver-arkeia-1.0-locale-2008-04-22.patch
Patch11: smeserver-arkeia-1.0-add2general.patch
Patch12: smeserver-arkeia-1.0-locale-2008-04-26.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base e-smith-lib e-smith-release >= 7.0 arkeia-light >= 5.2.28
Requires: mtx
Requires: e-smith-formmagick >= 1.4.0-10
BuildRequires: e-smith-devtools >= 1.13.1-03
Obsoletes: e-smith-arkeia
Conflicts: e-smith-arkeia

%description
The System Monitor package let's you monitor a mitel server from the
mitel server manager. Currently, you can monitor System Load, CPU Usage,
Processes Running, CPU Run Queue Depth, Memory Used, Swap Used, Hard
Drive Used, Hard Drive Free, Uptime, Latency to defined hosts/gateway,
Ethernet Traffic. All the graphs are generated on demand.

%changelog
* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-12
- Take common <base> entries from e-smith-formmagick's general

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-11
- Added 22 April 2008 locale patch

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.0-10
- Update to UTF-8 translations

* Fri Mar 7 2008 Shad L. Lords <slords@mail.com> 1.0-9
- Add locale script so tags at least show up.

* Thu Jul 12 2007 Shad L. Lords <slords@mail.com> 1.0-8
- Fix date calculation in rotate script.

* Fri Jul 6 2007 Shad L. Lords <slords@mail.com> 1.0-7
- Fix configure to ignore libraries.

* Fri Jul 6 2007 Shad L. Lords <slords@mail.com> 1.0-6
- Add tape rotation script.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Mon Jan 29 2007 Shad L. Lords <slords@mail.com> 1.0-5
- Only recycle tape if backup type is tape.

* Wed Jan 03 2007 Shad L. Lords <slords@mail.com> 1.0-4
- Convert to new ConfigDB style.

* Wed Jan 03 2007 Shad L. Lords <slords@mail.com> 1.0-3
- Remove link to eject action. [SME: 795]

* Wed Jan 03 2007 Shad L. Lords <slords@mail.com> 1.0-2
- Move eject fragment to e-smith-backup. [SME: 795]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Sun Apr 09 2006 Shad L. Lords <slords@mail.com>
- 1.0-01
- initial release

%prep

%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p2

%build
/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/spool/squid 'attr(0755,squid,squid)' \
    > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

